import traceback

from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC
from cpl_core.console import Console


class LevelServerSettings(ConfigurationModelABC):
    def __init__(self):
        ConfigurationModelABC.__init__(self)

        self._id: int = 0
        self._changed_level_notification_channel = 0

    @property
    def id(self) -> int:
        return self._id

    @property
    def changed_level_notification_channel(self) -> int:
        return self._changed_level_notification_channel

    def from_dict(self, settings: dict):
        try:
            self._id = int(settings["Id"])
            self._changed_level_notification_channel = int(settings["ChangedLevelNotificationChannelId"])
        except Exception as e:
            Console.error(f"[ ERROR ] [ {__name__} ]: Reading error in {type(self).__name__} settings")
            Console.error(f"[ EXCEPTION ] [ {__name__} ]: {e} -> {traceback.format_exc()}")
