import discord
from cpl_core.logging import LoggerABC
from cpl_discord.events import OnVoiceStateUpdateABC

from bot_core.helper.event_checks import EventChecks
from modules.level.service.level_service import LevelService


class LevelOnVoiceStateUpdateEvent(OnVoiceStateUpdateABC):
    def __init__(self, logger: LoggerABC, level: LevelService):
        OnVoiceStateUpdateABC.__init__(self)
        self._logger = logger
        self._level = level

        self._logger.info(__name__, f"Module {type(self)} loaded")

    @EventChecks.check_is_ready()
    async def on_voice_state_update(
        self,
        member: discord.Member,
        before: discord.VoiceState,
        after: discord.VoiceState,
    ):
        self._logger.debug(__name__, f"Module {type(self)} started")
        await self._level.check_level(member)
