import discord
from cpl_core.logging import LoggerABC
from cpl_discord.events import OnMemberUpdateABC

from modules.permission.abc.permission_service_abc import PermissionServiceABC


class PermissionOnMemberUpdateEvent(OnMemberUpdateABC):
    def __init__(self, logger: LoggerABC, permission_service: PermissionServiceABC):
        OnMemberUpdateABC.__init__(self)
        self._logger = logger
        self._permission_service = permission_service

    async def on_member_update(self, before: discord.Member, after: discord.Member):
        self._logger.debug(__name__, f"Module {type(self)} started")

        if before.roles != after.roles:
            self._permission_service.on_member_update(before, after)
