import { CommonModule } from '@angular/common';
import { HttpClientModule } from '@angular/common/http';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { ButtonModule } from 'primeng/button';
import { CheckboxModule } from 'primeng/checkbox';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { DialogModule } from 'primeng/dialog';
import { DropdownModule } from 'primeng/dropdown';
import { DynamicDialogModule } from 'primeng/dynamicdialog';
import { InputTextModule } from 'primeng/inputtext';
import { MenuModule } from 'primeng/menu';
import { PasswordModule } from 'primeng/password';
import { ProgressSpinnerModule } from 'primeng/progressspinner';
import { TableModule } from 'primeng/table';
import { ToastModule } from 'primeng/toast';
import { AuthRolePipe } from './pipes/auth-role.pipe';
import { IpAddressPipe } from './pipes/ip-address.pipe';
import { BoolPipe } from './pipes/bool.pipe';
import { PanelMenuModule } from 'primeng/panelmenu';
import { PanelModule } from "primeng/panel";



@NgModule({
  declarations: [
    AuthRolePipe,
    IpAddressPipe,
    BoolPipe,
  ],
  imports: [
    CommonModule,
    ButtonModule,
    PasswordModule,
    MenuModule,
    DialogModule,
    ProgressSpinnerModule,
    HttpClientModule,
    FormsModule,
    ReactiveFormsModule,
    ToastModule,
    ConfirmDialogModule,
    TableModule,
    InputTextModule,
    CheckboxModule,
    DropdownModule,
    TranslateModule,
    DynamicDialogModule,
    PanelMenuModule,
    PanelModule,
  ],
  exports: [
    ButtonModule,
    PasswordModule,
    MenuModule,
    DialogModule,
    ProgressSpinnerModule,
    HttpClientModule,
    FormsModule,
    ReactiveFormsModule,
    ToastModule,
    ConfirmDialogModule,
    TableModule,
    InputTextModule,
    CheckboxModule,
    DropdownModule,
    TranslateModule,
    DynamicDialogModule,
    PanelMenuModule,
    PanelModule,
    AuthRolePipe,
    IpAddressPipe,
    BoolPipe,
  ]
})
export class SharedModule { }
